/*
 * Created on Nov 4, 2004
 *
 */
package org.jboss.test.hotdeploy.servlet;

import org.jboss.test.hotdeploy.service.TestService;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.io.PrintWriter;

/**
 * @author andrew.clute
 */
public class AOPTestServlet extends HttpServlet
{
   /** The serialVersionUID */
   private static final long serialVersionUID = 1L;

   public void doGet(HttpServletRequest request,
                     HttpServletResponse response)
   throws ServletException, IOException
   {

      PrintWriter out = response.getWriter();
      System.out.println("Before my method execution");
      response.setContentType("text/plain");
      out.println("Before my method execution");
      TestService testService = new TestService();
      testService.saveOrganization();
      System.out.println("After my method execution");
      out.println("After my method execution");
   }

}
